// ServerSecurityAttribute.h: interface for the CServerSecurityAttribute class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SERVERSECURITYATTRIBUTE_H__F02FDB4E_AD27_4534_BB5B_C815922D9712__INCLUDED_)
#define AFX_SERVERSECURITYATTRIBUTE_H__F02FDB4E_AD27_4534_BB5B_C815922D9712__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "NotQuiteNullDacl.h"

class CServerSecurityAttribute  
{
public:
	virtual ~CServerSecurityAttribute();

	operator bool() const {return m_bValid;}

	SECURITY_ATTRIBUTES* GetNewsSecurityAttribute();
 	static CServerSecurityAttribute& NotQuitNullOne();
 	static CServerSecurityAttribute& RealNullOne();
 
private:
	CServerSecurityAttribute();

	void Create();
	void CreateNULL();

	SECURITY_ATTRIBUTES m_SecurityAttributes;
	NotQuiteNullDacl	m_Dacl;
	bool                m_bValid;
   SECURITY_DESCRIPTOR  m_SD;



};

#endif // !defined(AFX_SERVERSECURITYATTRIBUTE_H__F02FDB4E_AD27_4534_BB5B_C815922D9712__INCLUDED_)
