// TeeferTalk.h: interface for the CTeeferTalk class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TEEFERTALK_H__8B7885B0_F796_4C50_BCE9_42326ECA619C__INCLUDED_)
#define AFX_TEEFERTALK_H__8B7885B0_F796_4C50_BCE9_42326ECA619C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CTeeferTalk  
{
public:
	bool OpenDriver();
	bool IsTeeFerInstalled();
	
	virtual ~CTeeferTalk();
	static CTeeferTalk& Instance();
	static int __cdecl TeererCallBack(unsigned nProtocolid, 
										unsigned nInterfaceid, 
										void*p, 
										unsigned len, 
										unsigned dwProcessId, 
										BOOL bIsSending, 
										BOOL bDonotBlock, 
										void*pControl, 
										unsigned pControlLen, 
										void *pContext);


private:
	CTeeferTalk();

protected:
	TEEFER_HANDLE m_hTeeferHandle;
	
};

#endif // !defined(AFX_TEEFERTALK_H__8B7885B0_F796_4C50_BCE9_42326ECA619C__INCLUDED_)
